﻿using System;
using System.ComponentModel;

namespace XamDataGridInherited
{
    public class Person : INotifyPropertyChanged
    {
        private int _id;
        private double _age;
        private String _lastName;
        private bool _canBeDeleted;

        public int Id
        {
            get { return _id; }
            set
            {
                _id = value;
                NotifyPropertyChanged("Id");
            }
        }

        public double Age
        {
            get { return _age; }
            set
            {
                _age = value;
                NotifyPropertyChanged("Age");
            }
        }

        public String LastName
        {
            get { return _lastName; }
            set
            {
                _lastName = value;
                NotifyPropertyChanged("LastName");
            }
        }

        public bool CanBeDeleted
        {
            get { return _canBeDeleted; }
            set
            {
                _canBeDeleted = value;
                NotifyPropertyChanged("CanBeDeleted");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
