﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamDataGridInherited
{
    public class ViewModel : INotifyPropertyChanged
    {
        private Person _activePerson;
        public Person ActivePerson
        {
            get { return _activePerson; }
            set
            {
                _activePerson = value;
                NotifyPropertyChanged("ActivePerson");
                NotifyPropertyChanged("CanBeDeleted");
            }
        }

        public bool CanBeDeleted
        {
            get
            {
                return ActivePerson != null && ActivePerson.CanBeDeleted;
            }
        }

        private ObservableCollection<Person> _people;
        public ObservableCollection<Person> People
        {
            get { return _people; }
            set
            {
                _people = value;
                NotifyPropertyChanged("People");
            }
        }

        public ViewModel()
        {
            People = new ObservableCollection<Person>();
            People.Add(new Person() { Id = 1, LastName = "Doe" , CanBeDeleted = true});
            People.Add(new Person() { Id = 3, LastName = "Doe", Age = 34.5555 });
            People.Add(new Person() { Id = 2, LastName = "Doe", CanBeDeleted = true, Age = 56 });
            People.Add(new Person() { Id = 4, LastName = "Smith", Age = 23 });

        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
