﻿using System.Windows;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridInherited
{
    public class XamDataGridEx : XamDataGrid
    {
        public static readonly DependencyProperty AllowDeleteProperty = DependencyProperty.Register("AllowDelete", typeof(bool), typeof(XamDataGridEx), new UIPropertyMetadata(false, OnAllowDeletePropertyChanged));

        private static void OnAllowDeletePropertyChanged(DependencyObject source, DependencyPropertyChangedEventArgs e)
        {
            XamDataGridEx control = source as XamDataGridEx;
            bool value = (bool)e.NewValue;
            control.FieldLayoutSettings.AllowDelete = value;
        }

        public bool AllowDelete
        {
            get
            {
                return (bool)GetValue(AllowDeleteProperty);
            }
            set
            {
                SetValue(AllowDeleteProperty, value);
            }
        }
    }
}
